<?php declare(strict_types=1);

namespace Lubian\AttributeMagic\Infrastructure;

use function array_filter;
use function array_values;

/**
 * @template T
 * @param T[] $input
 * @param callable(T):bool $callable
 * @return T[]
 */
function arrayFilter(array $input, callable $callable): array
{
    return array_values(array_filter($input, $callable));
}
